.contact-box_28 {
  width: 100vw;
  /*height: 74.95vw;*/
}
.contact-text-wrapper_18 {
  width: 5.27vw;
  height: 1.15vw;
  margin: 1.97vw 0 0 6.25vw;
}
.contact-text_135 {
  width: 2.3vw;
  height: 1.15vw;
  overflow-wrap: break-word;
  color: rgba(190, 190, 193, 1);
  font-size: 0.83vw;
  font-family: PingFangSC-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 1.15vw;
}
.contact-text_136 {
  width: 0.42vw;
  height: 1.15vw;
  overflow-wrap: break-word;
  color: rgba(190, 190, 193, 1);
  font-size: 0.83vw;
  font-family: PingFangSC-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 1.15vw;
  margin-left: 0.21vw;
}
.contact-text_137 {
  width: 2.14vw;
  height: 1.15vw;
  overflow-wrap: break-word;
  color: rgba(28, 28, 28, 1);
  font-size: 0.83vw;
  font-family: PingFangSC-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 1.15vw;
  margin-left: 0.21vw;
}
.contact-group_32 {
  position: relative;
  width: 15.89vw;
  height: 3.86vw;
  margin: 1.25vw 0 0 44.42vw;
}
.contact-image_4{
    width: 3.13vw;
    height: 2.92vw;
    margin-top: 1.05vw;
}
.contact-image_1{
  width: 3.03vw;
  height: 2.82vw;
  margin: 1.25vw 0 0 2.08vw;
}
.contact-image_2{
  width: 3.03vw;
  height: 2.82vw;
  margin: 1.25vw 0 0 2.08vw;
  display: none;
}
.contact-group_4 {
  background-color: rgba(161, 54, 39, 1);
  border-radius: 50%;
  width: 1.67vw;
  height: 1.67vw;
  margin-top: 0.21vw;
}
.contact-text_11 {
  position: absolute;
  left: 2.05vw;
  top: 0;
  width: 8.65vw;
  height: 3.34vw;
  overflow-wrap: break-word;
  color: rgba(37, 37, 37, 1);
  font-size: 3.33vw;
  font-family: PingFangSC-Medium;
  font-weight: 500;
  text-align: center;
  white-space: nowrap;
  line-height: 3.34vw;
}

.contact-content {
  width: 87.5vw;
  margin: 6.2vw 0 0 19vw;
  padding-bottom: 6vw;
}
.contact-wrap {
  width: 100%;
  display: flex;
  align-items: center;
}

/* 左侧 */
.contact-col-l {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-right: 5.1vw;
  border-right: 1px solid #E5E5E5;
}

/* 社交图标（在地图上方） */
.social-list {
  width: 32.2vw;
  display: flex;
  justify-content: space-between; /* 自动平均分布 */
  align-items: center;
  margin-bottom: 1vw;
}
.social-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.6vw;
  position: relative;
}
.social-icon {
  width: 3.2vw;
  height: 3.2vw;
  background: #fff;
  border-radius: 0.8vw;
  box-shadow: 0 0.2vw 1vw rgba(0,0,0,0.07);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1vw;
  color: #333;
  font-family: PingFangSC-Regular;
  transition: opacity 0.25s ease;
}
.social-icon-hide {
  width: 7vw; 
  height: 7vw;
  background: #fff;
  border-radius: 0.3vw;
  box-shadow: 0 0.3vw 1.5vw rgba(0,0,0,0.15);
  align-items: center;
  justify-content: center;
  position: absolute;
  top: -4vw; 
  left: 50%;
  transform: translateX(-50%) scale(0);
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s cubic-bezier(0.34, 1.2, 0.64, 1);
  z-index: 100;
  pointer-events: none; 
}
.social-item:hover .social-icon {
  opacity: 0;
}

.social-item:hover .social-icon-hide {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) scale(1);
}


.social-label {
  font-size: 0.9vw;
  white-space: nowrap;
  font-family: PingFangSC-Regular;
  font-weight: 400;
  color: #1C1C1C;
  line-height: 0.9vw;
  text-align: center;
  font-style: normal;
}

/* 地图 */
.map-card {
  position: relative;
  width: 32.2vw;
  /*height: 15.4vw;*/
  border-radius: 1vw;
  overflow: hidden;
  /*box-shadow: 0 0.2vw 1.2vw rgba(0,0,0,0.06);*/
}
.map-img {
  width: 100%;
  height: 100%;
  /*object-fit: cover;*/
}
.map-mark {
  position: absolute;
    left: 67%;
    top: 25%;
    width: 6.25vw;
}
.map-text {
  position: absolute;
    left: 70%;
    top: 2.45vw;
    transform: translateX(-50%);
    background: #fff;
    padding: 0.25vw 1.4vw;
    border-radius: 2vw;
    font-size: 0.9vw;
    color: #333;
    font-family: PingFangSC-Regular;
    box-shadow: 0 0.1vw 0.6vw rgba(0, 0, 0, 0.1);
    white-space: nowrap;
}
.map-text::before {
  content: '';
  position: absolute;
  bottom: -0.6vw;
  right: 30%;
  transform: translateX(0%);
  width: 0;
  height: 0;
  border-left: 0.6vw solid transparent;
  border-right: 0.6vw solid transparent;
  border-top: 0.6vw solid #fff;
}

.address {
    width: 31vw;
  margin-top: 0.5vw;
  font-size: 0.8vw;
  line-height: 1.6vw;
font-family: PingFangSC-Regular;
font-weight: 400;
color: #6E6E6E;
text-align: left;
font-style: normal;
}

/* 右侧 */
.contact-col-r {
  flex: 1;
  padding-left: 4.1vw;
  display: flex;
  flex-direction: column;
  gap: 3.2vw;
}
.person-item {
  display: flex;
  align-items: center;
  gap: 1.6vw;
}
.qrcode {
  width: 6.2vw;
  height: 6.2vw;
  border-radius: 0.6vw;
  box-shadow: 0 0.2vw 1vw rgba(0,0,0,0.07);
  object-fit: cover;
}
.person-info {
  display: flex;
  flex-direction: column;
  gap: 0.4vw;
  padding-top: 0.4vw;
}
.name {
  font-size: 1.4vw;
  color: #252525;
  font-family: PingFangSC-Regular;
  font-weight: 500;
}
.info-line {
  font-size: 1vw;
  line-height: 1.5vw;
  font-family: PingFangSC-Regular;
  font-weight: 400;
  color: #6E6E6E;
  text-align: left;
  font-style: normal;
}
.info-line-Email {
    width: 9.74vw;
    height: 1.88vw;
    overflow-wrap: break-word;
    color: rgba(161, 54, 39, 1);
    font-size: 1.04vw;
    font-family: PingFangSC-Regular;
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
    line-height: 1.88vw;
}
.info-line-WeChat {
    color: #1C1C1C;
}